from fastapi import FastAPI
from model.base import Base
from config.db import engine
from model import user
from routers.base_route import router as base_router
from routers.user_router import router as user_router
from routers.account_router import router as account_router


app = FastAPI()

Base.metadata.create_all(bind=engine)

app.include_router(base_router)
app.include_router(user_router)
app.include_router(account_router)