from sqlalchemy import Column, String, TIMESTAMP, ForeignKey
from .base import Base
import uuid

class DataProductItem(Base):
    __tablename__ = 'data_product_item'
    
    id = Column(String, primary_key=True, default=str(uuid.uuid4()))
    data_product_id = Column(String, ForeignKey('data_product.id'), nullable=False)
    dataset_id = Column(String, ForeignKey('dataset.id'), nullable=False)
    created_at = Column(TIMESTAMP, nullable=False)
    updated_at = Column(TIMESTAMP, nullable=False)