from sqlalchemy.orm import relationship
from sqlalchemy import Column, ForeignKey, String, Numeric, Boolean, TIMESTAMP
from sqlalchemy.dialects.postgresql import UUID as PG_UUID
import uuid
from .base import Base

class Dataset(Base):
    __tablename__ = 'dataset'
    
    id = Column(PG_UUID(as_uuid=True), primary_key=True, default=uuid.uuid4)
    data_source_id = Column(PG_UUID(as_uuid=True), ForeignKey('data_source.id'))
    location = Column(String, nullable=False)
    price = Column(Numeric, nullable=False)
    category = Column(String, nullable=False)
    is_active = Column(Boolean, default=True)
    created_at = Column(TIMESTAMP, nullable=False)
    updated_at = Column(TIMESTAMP, nullable=False)


    subscriptions = relationship("Subscription")