from sqlalchemy import Column, ForeignKey, Integer, Numeric, DateTime, String
from .base import Base
from sqlalchemy.orm import relationship
import uuid

class Invoice(Base):
    __tablename__ = 'invoice'

    id = Column(Integer, primary_key=True, index=True)
    transaction_id = Column(String, ForeignKey('transaction.id'))
    total = Column(Numeric, nullable=False)
    created_at = Column(DateTime, nullable=False)
    updated_at = Column(DateTime, nullable=False)

    transaction = relationship("Transaction", back_populates="invoices")