from sqlalchemy import Column, ForeignKey, DateTime, String
from sqlalchemy.orm import relationship
from .base import Base
from sqlalchemy import func

class Subscription(Base):
    __tablename__ = 'subscription'
    
    id = Column(String, primary_key=True)
    account_id = Column(String, ForeignKey('account.id'), nullable=False)
    dataset_id = Column(String, ForeignKey('dataset.id'), nullable=False)
    start_date = Column(DateTime, nullable=False)
    end_date = Column(DateTime, nullable=False)
    status = Column(String, nullable=False)
    created_at = Column(DateTime, server_default=func.now(), nullable=False)
    updated_at = Column(DateTime, server_default=func.now(), onupdate=func.now(), nullable=False)

    account = relationship("Account", back_populates="subscriptions")
    dataset = relationship("Dataset", back_populates="subscriptions")