from sqlalchemy import Column, String, DateTime, ForeignKey
from sqlalchemy.orm import relationship
from .base import Base
from sqlalchemy.sql import func

class Transaction(Base):
    __tablename__ = 'transaction'

    id = Column(String, primary_key=True)
    account_id = Column(String, ForeignKey('account.id'))
    created_by = Column(String, nullable=False)
    created_at = Column(DateTime(timezone=True), server_default=func.now(), nullable=False)
    updated_at = Column(DateTime(timezone=True), onupdate=func.now(), nullable=False)

    account = relationship("Account", back_populates="transactions")
    invoices = relationship("Invoice", back_populates="transaction")
    details = relationship("TransactionDetail")