from sqlalchemy import Column, ForeignKey, Integer, String, DateTime
from sqlalchemy.orm import relationship
from .base import Base
from sqlalchemy.sql import func

class TransactionDetail(Base):
    __tablename__ = 'transaction_detail'
    
    id = Column(Integer, primary_key=True, index=True)
    transaction_id = Column(Integer, ForeignKey('transaction.id'), nullable=False)
    dataset_id = Column(Integer, ForeignKey('dataset.id'), nullable=False)
    data_product_id = Column(Integer, ForeignKey('data_product.id'), nullable=False)
    sub_id = Column(Integer, ForeignKey('subscription.id'), nullable=False)
    created_at = Column(DateTime, server_default=func.now(), nullable=False)
    updated_at = Column(DateTime, server_default=func.now(), onupdate=func.now(), nullable=False)

    transaction = relationship("Transaction", back_populates="details")
    dataset = relationship("Dataset")
    data_product = relationship("DataProduct")
    subscription = relationship("Subscription")