from sqlalchemy.orm import Session
from model.account import Account
from sqlalchemy.sql import func
from datetime import datetime

def get_account_by_name(db: Session, name: str):
    return db.query(Account).filter(Account.name == name).all()

def get_account_by_cnpj(db: Session, cnpj: str):
    return db.query(Account).filter(Account.cnpj == cnpj).first()

def get_account_by_is_active(db: Session, is_active: bool):
    return db.query(Account).filter(Account.is_active == is_active).all()

def create_account(db: Session, name: str, cnpj: str):
    new_account = Account(name=name, cnpj=cnpj, is_active=1, created_at=datetime.utcnow(), updated_at=datetime.utcnow())
    db.add(new_account)
    db.commit()
    db.refresh(new_account)
    return new_account

def get_all_accounts(db: Session):
    return db.query(Account).all()